summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ole-André Rodlie <ole.andre.rodlie@gmail.com>2018-10-27 00:23:09 +0100
committer David Spencer <idlemoor@slackbuilds.org>2018-10-27 00:23:09 +0100
commitb2cc4e88aa5ee10358cd56e2694b1949e07736a0 (patch)
tree899507e242f74f6c9b151139aacdd0339c5c5003
parent9427c6b28d3fa44b7fd5598d9a4ecb790eccb453 (diff)
downloadslackbuilds-b2cc4e88aa5ee10358cd56e2694b1949e07736a0.tar.gz
slackbuilds-b2cc4e88aa5ee10358cd56e2694b1949e07736a0.tar.xz
system/powerkit: Added (desktop independent power manager).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--system/powerkit/README3
-rw-r--r--system/powerkit/doinst.sh4
-rw-r--r--system/powerkit/powerkit.SlackBuild109
-rw-r--r--system/powerkit/powerkit.info10
-rw-r--r--system/powerkit/slack-desc19
5 files changed, 145 insertions, 0 deletions
diff --git a/system/powerkit/README b/system/powerkit/README
new file mode 100644
index 0000000000..9fb732ba51
--- /dev/null
+++ b/system/powerkit/README
@@ -0,0 +1,3 @@
+powerkit is an lightweight desktop independent full featured power manager, originally created for Slackware for use with alternative desktop environments and window managers, like Fluxbox, Blackbox, FVWM, WindowMaker, Openbox, Lumina and others.
+
+Hibernation/HybridSleep requires the kernel option resume=<swap_partition/swap_file>. Backlight support requires proper udev rules, see /usr/doc/powerkit-VERSION/90-backlight.rules. Read 'man powerkit' and /usr/doc/powerkit-VERSION/README.md for more information.
diff --git a/system/powerkit/doinst.sh b/system/powerkit/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/system/powerkit/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/system/powerkit/powerkit.SlackBuild b/system/powerkit/powerkit.SlackBuild
new file mode 100644
index 0000000000..07f42776da
--- /dev/null
+++ b/system/powerkit/powerkit.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware build script for powerkit <https://github.com/rodlie/powerkit>
+
+# Copyright 2018 Ole-André Rodlie <ole.andre.rodlie@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=powerkit
+VERSION=${VERSION:-1.0.0rc1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+QMAKE=${QMAKE:-qmake}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# Prepare source
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Configure application
+# add CONFIG+=install_lib to install shared library with includes
+$QMAKE \
+ CONFIG+=release \
+ PREFIX=/usr \
+ XDGDIR=/etc/xdg \
+ DOCDIR=/usr/doc \
+ MANDIR=/usr/man \
+ LIBSUFFIX=${LIBDIRSUFFIX} \
+ QMAKE_CFLAGS="${SLKCFLAGS}" \
+ QMAKE_CXXFLAGS="${SLKCFLAGS}"
+
+make
+make INSTALL_ROOT=$PKG install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Add udev backlight rules example
+if [ -f "app/share/udev/90-backlight.rules" ]; then
+ cat app/share/udev/90-backlight.rules > $PKG/usr/doc/$PRGNAM-$VERSION/90-backlight.rules
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/powerkit/powerkit.info b/system/powerkit/powerkit.info
new file mode 100644
index 0000000000..d80a1094bc
--- /dev/null
+++ b/system/powerkit/powerkit.info
@@ -0,0 +1,10 @@
+PRGNAM="powerkit"
+VERSION="1.0.0rc1"
+HOMEPAGE="https://github.com/rodlie/powerkit"
+DOWNLOAD="https://github.com/rodlie/powerkit/releases/download/1.0.0rc1/powerkit-1.0.0rc1.tar.xz"
+MD5SUM="4ff2121b02b2dc14a89878682c792fa6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ole-André Rodlie"
+EMAIL="ole.andre.rodlie@gmail.com"
diff --git a/system/powerkit/slack-desc b/system/powerkit/slack-desc
new file mode 100644
index 0000000000..3521964240
--- /dev/null
+++ b/system/powerkit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+powerkit: powerkit (desktop independent full featured power manager)
+powerkit:
+powerkit: powerkit is an lightweight desktop independent full featured power
+powerkit: manager, originally created for Slackware for use with alternative
+powerkit: desktop environments and window managers, like Fluxbox, Blackbox,
+powerkit: FVWM, WindowMaker, Openbox, Lumina and others.
+powerkit:
+powerkit: powerkit was written by Ole-André Rodlie
+powerkit:
+powerkit: Homepage: https://github.com/rodlie/powerkit
+powerkit: